Testing Change: Modify the method of header variants generation using
variations_in_common_section_words

09/13/2021 08:31 AM - Nandini Bansal

Status: Closed Start date: 09/13/2021
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 4.00 hours
Target version: P1 Spent time: 0.00 hour
Description

For variations_in_common_section_words, we need to modify the header variants generated by this function. It makes use of a list of
words that are the top 50 most common words called "sect_common_words" in the dataset. According to the current implementation,
we check whether a header variant starts or ends with a word in "sect_common_words" and if found, we truncate these words from
these header variants to generate new header variants.

As per the new testing modifications, instead of just checking one word from start & end, we need to keep checking until we come
across a word that is not a part of "sect_common_words". The leftover string (if any) will be added as a header variant.

Testing with Whirlwind Book, Tutorial Book & Lib Ref Book

History

#1 - 09/16/2021 10:15 AM - Nandini Bansal

- Assignee set to Anonymous

#2 - 10/13/2021 12:25 PM - Anonymous

- Status changed from New to Resolved

#3 - 10/20/2021 08:50 AM - Nandini Bansal

- Status changed from Resolved to Closed
